/**
 * OW2 Util
 * Copyright (C) 2008
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: DefaultRepositoryManager.java 4392 2008-12-15 14:05:41Z alitokmen $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.plan.repository.impl;


/**
 *
 * @author Mickaël LEDUQUE
 */
public final class DefaultRepositoryManager extends AbsRepositoryManagerImpl {

    /**
     * The unique instance of the class
     */
    private static DefaultRepositoryManager repositoryManager = new DefaultRepositoryManager();

    /**
     * Private no arg constructor.
     */
    private DefaultRepositoryManager() {
    }

    public static DefaultRepositoryManager getInstance() {
        return DefaultRepositoryManager.repositoryManager;
    }



}
